Bug 1120195 - [AAA] Present authz name and namespace within user and permissions tabs
Summary: [AAA] Present authz name and namespace within user and permissions tabs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Yair Zaslavsky
QA Contact: Ondra Machacek
URL:
Whiteboard: infra
Depends On:
Blocks: oVirt-AAA-rewrite
TreeView+ depends on / blocked
 
Reported: 2014-07-16 11:30 UTC by Alon Bar-Lev
Modified: 2016-02-10 19:32 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:34:18 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30645 master MERGED aaa: present authz and namespace information Never
oVirt gerrit 30714 ovirt-engine-3.5 MERGED aaa: present authz and namespace information Never

Description Alon Bar-Lev 2014-07-16 11:30:15 UTC
Currently we have no way to determine which authz serve the user at the webadmin users and permissions tab.

By legacy, the user names were once set to user@domain, but this was just method of display.

Best if we display the authz name explicitly and store user name without suffixes within the database, as it is duplication.

I set this for 3.6 for now, but maybe we can do this for 3.5.

Comment 1 Alon Bar-Lev 2014-07-21 10:22:24 UTC
also namespace will provide hint of where object belong to.

Comment 2 Ondra Machacek 2014-09-09 16:10:59 UTC
there is authz provider and namespace column in user tab, permissions sub tab, and system permissions dialog

Comment 3 Sandro Bonazzola 2014-10-17 12:34:18 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.